from pathlib import Path
import configparser


def getHostAndPort():
    return config['mail']['host'], config['mail']['port']


def getPassword():
    return config['mail']['password']


def getFrom():
    return config['mail']['from']  # used for mail login as well


def getTo():
    return config['mail']['to']


def getErrorFile() -> Path:
    return Path(config['file']['errorfile'])


def _getCfgFile() -> Path:
    return _getCfgDir().joinpath('cfg.ini')


def _getCfgDir() -> Path:
    return Path('config')


config: configparser.ConfigParser = configparser.ConfigParser()
config.read(_getCfgFile())
